get-default-ips(1)

NAME
get-default-ips - List all IP source addresses of interfaces with default routes

SYNOPSIS
get-default-ips
get-default-ips [-h | --help]
get-default-ips [-v | --version]

DESCRIPTION
get-default-ips lists all IP source addresses of interfaces with default routes. Only non-dynamic, global-scoped addresses are returned. That is, 127.0.0.1, ::1, link-local addresses, IPv6-autoconfigured addresses, etc. are omitted.

ARGUMENTS
The following arguments may be provided:

-h | --help
    Prints command help.

-v | --version
    Prints program version.

EXIT STATUS
The get-default-ips tool exits with 0 on success, and >0 in case of an error.

EXAMPLES

get-default-ips

NOTES
This program is part of HiPerConTracer. The latest version of HiPerConTracer can be found on the HiPerConTracer Homepage at HiPerConTracer Homepage: https://www.nntb.no/~dreibh/hipercontracer/.

AUTHORS
Thomas Dreibholz, Homepage: https://www.nntb.no/~dreibh